🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request GET \
--url 'https://app.teable.ai/api/admin/audit-logs?userId=SOME_STRING_VALUE&action=SOME_STRING_VALUE&resourceId=SOME_STRING_VALUE&startTime=SOME_STRING_VALUE&endTime=SOME_STRING_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"items": [
{
"id": "<string>",
"userId": "<string>",
"action": "<string>",
"origin": {
"ip": "<string>",
"byApi": true,
"userAgent": "<string>",
"referer": "<string>"
},
"payloadVersion": "<string>",
"createdTime": "<string>",
"resourceId": "<string>",
"payload": null
}
]
}Get audit logs with filtering and pagination
curl --request GET \
--url 'https://app.teable.ai/api/admin/audit-logs?userId=SOME_STRING_VALUE&action=SOME_STRING_VALUE&resourceId=SOME_STRING_VALUE&startTime=SOME_STRING_VALUE&endTime=SOME_STRING_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"items": [
{
"id": "<string>",
"userId": "<string>",
"action": "<string>",
"origin": {
"ip": "<string>",
"byApi": true,
"userAgent": "<string>",
"referer": "<string>"
},
"payloadVersion": "<string>",
"createdTime": "<string>",
"resourceId": "<string>",
"payload": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 01 <= x <= 500Returns paginated audit logs.
Show child attributes
Was this page helpful?